%define upstream_name Lingua-EN-Number-IsOrdinal
%define upstream_version 0.05

%{?perl_default_filter}

Name:		perl-%{upstream_name}
Version:	%perl_convert_version %{upstream_version}
Release:	%mkrel 3

Summary:	Detect if English number is ordinal or cardinal
License:	GPL+ or Artistic
Group:		Development/Perl
Url:		http://search.cpan.org/dist/%{upstream_name}
Source0:	http://www.cpan.org/modules/by-module/Lingua/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires:	perl(Lingua::EN::FindNumber)
BuildRequires:	perl(Test::Fatal)

BuildArch:	noarch

%description
This module will tell you if a number, either in words or as digits, is
a cardinal or ordinal number
<http://www.ego4u.com/en/cram-up/vocabulary/numbers/ordinal>.

This is useful if you e.g. want to distinguish these types of numbers
found with Lingua::EN::FindNumber and take different actions.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%{perl_vendorlib}/*


%changelog
* Sun Jun 19 2016 pterjan <pterjan> 0.50.0-3.mga6
+ Revision: 1029147
- Rebuild for perl 5.22.2

* Thu Feb 18 2016 umeabot <umeabot> 0.50.0-2.mga6
+ Revision: 966508
- Mageia 6 Mass Rebuild

* Sat Jun 27 2015 sander85 <sander85> 0.50.0-1.mga6
+ Revision: 845866
- update to 0.05

* Sun Oct 19 2014 umeabot <umeabot> 0.40.0-5.mga5
+ Revision: 789664
- Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 0.40.0-4.mga5
+ Revision: 744771
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.40.0-3.mga5
+ Revision: 685208
- Mageia 5 Mass Rebuild

* Mon Oct 21 2013 umeabot <umeabot> 0.40.0-2.mga4
+ Revision: 537297
- Mageia 4 Mass Rebuild

* Thu Sep 26 2013 sander85 <sander85> 0.40.0-1.mga4
+ Revision: 486697
- imported package perl-Lingua-EN-Number-IsOrdinal

